Works without add-on in 3.6 Rated 5 out of 5 stars

Firefox from version 3.6 opens relative tabs just like this add-on. It should work by default. If not, tybe about:config in the address bar and then double-click on the browser.tabs.insertRelatedAfterCurrent preference.